# Get approval entries
Retrieve the properties of an approvalEntry object in Business Central.
## HTTP request
Replace the URL prefix for Business Central based on the environment. See API endpoints<../endpoints-apis-for-dynamics>.
```http
GET businesscentralPrefix/companies({companyId})/approvalEntries({approvalEntryId})
```
To retrieve all approval entries, omit `({approvalEntryId})` from the request URL.
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a `200 OK` response code and an approvalEntry object in the response body.
## Example
Request
Here's an example of the request.
```http
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/approvalEntries({approvalEntryId})
```
Response
Here's an example of the response.
> NOTE
> The response object is truncated for brevity. The actual response includes all properties.
```json
{
    "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
    "entryNumber": 42,
    "documentType": "Order",
    "documentNumber": "101001",
    "senderId": "ALEX",
    "senderName": "Alex Wilber",
    "approverId": "SARA",
    "approverName": "Sara Davis",
    "status": "Open",
    "dateTimeSentForApproval": "2026-08-04T09:30:00Z",
    "dueDate": "2026-08-11",
    "amount": 1250.00,
    "currencyCode": "USD",
    "lastModifiedDateTime": "2026-08-04T09:30:00Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_approvalentry

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_approvalentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_approvalentry_get/
